Skip to main content
Get Copytrades
curl --request GET \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/copytrade \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "response": [
    {
      "copytrade_id": "01234567-89ab-cdef-0123-456789abcdef",
      "order_ids": [],
      "target": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      "mode": "COPY",
      "spent": "0",
      "settings": {
        "filters": {
          "resolution": {
            "enabled": false,
            "within_seconds": 0
          },
          "price": {
            "enabled": false,
            "min": null,
            "max": null
          },
          "slippage": {
            "enabled": true,
            "max_cents": "5"
          },
          "labels": {
            "enabled": false,
            "allow": [],
            "deny": []
          },
          "exposure": {
            "enabled": false,
            "max_market": null,
            "max_event": null
          },
          "amount": {
            "enabled": false,
            "min": null,
            "max": null
          }
        },
        "buy": {
          "enabled": true,
          "insufficient_funds": "BUY_MAX",
          "sizing": {
            "type": "FIXED",
            "amount": "10"
          },
          "total": {
            "type": "NONE"
          }
        },
        "sell": {
          "enabled": true,
          "insufficient_shares": "SELL_MAX",
          "sizing": {
            "type": "PERCENTAGE",
            "percent": "1"
          },
          "take_profit": {
            "enabled": false,
            "percent": null
          }
        }
      },
      "status": "ACTIVE",
      "created_at": "2026-01-01T00:00:00",
      "updated_at": "2026-01-01T00:00:00"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Response

200 - application/json

Polygon copytrades